Bug 645804

Summary: /etc/ppp/ipv6-up uses nonexistent ipv6_exec_ip alias
Product: [Fedora] Fedora Reporter: David Woodhouse <dwmw2>
Component: initscriptsAssignee: Bill Nottingham <notting>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: iarlyy, jonathan, notting, plautrba, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: initscripts-9.20.2-1.fc14.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 645861 (view as bug list) Environment:
Last Closed: 2011-02-27 04:53:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 645861    

Description David Woodhouse 2010-10-22 14:06:35 UTC
Enabling IPv6 on my DSL line using Fedora as a router, I found that my IPv6 routes weren't being enabled. After replacing 'ipv6_exec_ip' with just '/sbin/ip', it started working properly. This missing alias is also used in /etc/ppp/ip-up.ipv6to4

Comment 1 Bill Nottingham 2010-10-22 17:09:19 UTC
Eep, that's been broken for over a year. Fixed. Will be in a future update for F-14, at least.

Comment 2 Fedora Update System 2011-02-25 21:23:31 UTC
Package initscripts-9.20.2-1.fc14.1:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing initscripts-9.20.2-1.fc14.1'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/initscripts-9.20.2-1.fc14.1
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-02-26 04:00:47 UTC
initscripts-9.20.2-1.fc14.1 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update initscripts'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/initscripts-9.20.2-1.fc14.1

Comment 4 Fedora Update System 2011-02-27 04:52:53 UTC
initscripts-9.20.2-1.fc14.1 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.